import sys
import curses


def printw_example(stdscr):
    mesg = "Just a string"
    row, col = stdscr.getmaxyx()
    stdscr.addstr(row / 2, (col - len(mesg)) / 2, mesg)
    stdscr.addstr(row - 2, 0, "This screen has {0} rows and {1} "
                              "columns\n".format(row, col))
    stdscr.addstr(row - 1, 0, "Try resizing your window (if possible) and then"
                              "run this program again")
    stdscr.refresh()
    stdscr.getch()


def main():
    curses.wrapper(printw_example)
    return 0


if __name__ == '__main__':
    sys.exit(main())

# vim:filetype=python
